Bug 40903 - TpTextChannel should prepare sender TpContact with factory features
Summary: TpTextChannel should prepare sender TpContact with factory features
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-glib (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL: http://cgit.collabora.com/git/user/xc...
Whiteboard:
Keywords: patch
Depends on: 38248
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-15 01:27 UTC by Xavier Claessens
Modified: 2011-09-30 03:58 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Claessens 2011-09-15 01:27:44 UTC

    
Comment 1 Xavier Claessens 2011-09-15 01:35:30 UTC
(Argh, hit commit before filling the bug description)


All TpSignaledMessage created by TpTextChannel should be guaranteed to have its sender prepared with factory contact features.

This affects tp_text_channel_get_pending_messages(), "message-received", "message-sent" and "pending-message-removed".

We probably don't want to reorder members-changed and message-received signals, so implementation should probably reuse the same GQueue as made in bug #38248.
Comment 2 Xavier Claessens 2011-09-16 07:56:20 UTC
Patch available, based on the branch for bug #38248
Comment 3 Guillaume Desmottes 2011-09-30 02:48:38 UTC
Code looks good but add at least one check in the test asserting that contact features are prepared.
Comment 4 Xavier Claessens 2011-09-30 03:58:12 UTC
unit test added, branch merged.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.